<?php

// Includes
include_once "../conf/conf.php";

// Sets
error_reporting(E_ALL ^ E_NOTICE);
ini_set("memory_limit", -1);
ini_set("display_errors", 1);

// Tell the system we are in processor mode
$processor = 1;

// Load /modules/ directory recursively
recursiveModuleLoad();

// Load Database Connections
$idsDB = new idsDB;

// Get Primary Variables
$xdu = getVar("xdu");

// Simulate login to console
$login = new mySession("processor");
$login->setSessionVar("backgroundUser", $xdu);
$login->initSession($xdu, "");
$login->loadSession();

// Variable Initilization
$ops = new myOps();
$ops->loadOps();

function recursiveModuleLoad() {
    global $root_path;

    # Read in all available modules recursively
    if (!$this_dir = @dir("$root_path/modules/")) {
        echo "conf.php ERROR:<p>\$root_path not correct or $root_path/modules/ not found! Check your conf.php settings<p>Exiting.";
        exit;
    }
    while ($dir = $this_dir->read()) {
        if ($dir != "." && $dir != "..") {
            if (substr($dir, -4, 4) == "_MOD") {
                $this_sub = dir("$root_path/modules/$dir");
                while ($file = $this_sub->read()) {
                    if ($file != "." && $file != "..") {
                        if (substr($file, 0,4) == "inc_") {
                            include "../modules/$dir/$file";
                        }
                    }
                }
            }
        }
    }

}

// Close Database Connections
$idsDB->close();

include_once "$root_path/contrib/ajax/agent.php"; 
$agent->init();

?>